=== debian/changelog ===
ros-melodic-planner-cspace (0.10.4-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.10.3-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.10.2-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.10.1-1stretch) stretch; urgency=high

  * planner_cspace: avoid publishing invalid path when escaping (#546 <https://github.com/at-wat/neonavigation/issues/546>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.10.0-1stretch) stretch; urgency=high

  * planner_cspace: add test to MoveWithToleranceAction (#528 <https://github.com/at-wat/neonavigation/issues/528>)
  * planner_cspace: add test to distance map debug output (#526 <https://github.com/at-wat/neonavigation/issues/526>)
  * planner_cspace: periodically update local map in the test (#522 <https://github.com/at-wat/neonavigation/issues/522>)
  * Merge rostest coverage profiles (#520 <https://github.com/at-wat/neonavigation/issues/520>)
  * planner_cspace: fix search range of minimum cost in fast_map_update mode (#518 <https://github.com/at-wat/neonavigation/issues/518>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.9.1-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.9.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.8.8-1stretch) stretch; urgency=high

  * planner_cspace: avoid showing too many warning messages (#501 <https://github.com/at-wat/neonavigation/issues/501>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.8.7-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.8.6-1stretch) stretch; urgency=high

  * Fix duplicated tf timestamp (#494 <https://github.com/at-wat/neonavigation/issues/494>)
  * planner_cspace: add wait to navigation tests (#492 <https://github.com/at-wat/neonavigation/issues/492>)
  * planner_cspace: simplify path switch detection condition (#488 <https://github.com/at-wat/neonavigation/issues/488>)
  * planner_cspace: fix uninitialized variable (#486 <https://github.com/at-wat/neonavigation/issues/486>)
  * planner_cspace: enable replan when robot reaches the switchback point (#449 <https://github.com/at-wat/neonavigation/issues/449>)
  * planner_cspace: fix test_debug_outputs initial wait (#485 <https://github.com/at-wat/neonavigation/issues/485>)
  * Contributors: Atsushi Watanabe, Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.8.5-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.8.4-1stretch) stretch; urgency=high

  * Clean unused dependencies (#472 <https://github.com/at-wat/neonavigation/issues/472>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.8.3-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.8.2-1stretch) stretch; urgency=high

  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.8.1-1stretch) stretch; urgency=high

  * planner_cspace: fix flaky debug_output test (#452 <https://github.com/at-wat/neonavigation/issues/452>)
  * planner_cspace: fix condition of planning finish (#451 <https://github.com/at-wat/neonavigation/issues/451>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Mar 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.8.0-1stretch) stretch; urgency=high

  * planner_cspace: replan immediately when path is blocked by new obstacles (#446 <https://github.com/at-wat/neonavigation/issues/446>)
  * Add message package version constraints (#443 <https://github.com/at-wat/neonavigation/issues/443>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 04 Mar 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.7.0-1stretch) stretch; urgency=high

  * planner_cspace: add MoveWithToleranceAction server (#433 <https://github.com/at-wat/neonavigation/issues/433>)
  * planner_cspace: fix typo (#436 <https://github.com/at-wat/neonavigation/issues/436>)
  * planner_cspace: implement motion primitive algorithm for speed-up (#431 <https://github.com/at-wat/neonavigation/issues/431>)
  * Contributors: Daiki Maekawa, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 04 Feb 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.6.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 18 Jan 2020 00:00:00 -0000

ros-melodic-planner-cspace (0.5.1-1stretch) stretch; urgency=high

  * planner_cspace: disable blockmem_gridmap_performance test (#413 <https://github.com/at-wat/neonavigation/issues/413>)
  * Fix header namespaces (#408 <https://github.com/at-wat/neonavigation/issues/408>)
  * planner_cspace: fix installing planner_2dof_serial_joints node (#409 <https://github.com/at-wat/neonavigation/issues/409>)
  * Migrate from C math functions to C++ (#407 <https://github.com/at-wat/neonavigation/issues/407>)

