## ros-melodic-planner-cspace 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
   costmap_cspace
   costmap_cspace_msgs
   neonavigation_common
+  neonavigation_metrics_msgs
   planner_cspace_msgs
   trajectory_tracker_msgs
 )
@@ -32,7 +33,7 @@
 )
 
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 add_compile_options(-funroll-loops -finline-functions ${OpenMP_CXX_FLAGS})
@@ -46,6 +47,7 @@
   src/motion_primitive_builder.cpp
   src/path_interpolator.cpp
   src/planner_3d.cpp
+  src/distance_map.cpp
   src/rotation_cache.cpp
 )
 target_link_libraries(planner_3d ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
