=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+include_directories(include)
+
 catkin_add_gtest(test_blockmem_gridmap src/test_blockmem_gridmap.cpp)
 target_link_libraries(test_blockmem_gridmap ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
@@ -6,6 +8,26 @@
 
 catkin_add_gtest(test_cyclic_vec src/test_cyclic_vec.cpp)
 target_link_libraries(test_cyclic_vec ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+
+catkin_add_gtest(test_distance_map
+  src/test_distance_map.cpp
+  ../src/distance_map.cpp
+  ../src/grid_astar_model_3dof.cpp
+  ../src/motion_cache.cpp
+  ../src/motion_primitive_builder.cpp
+  ../src/rotation_cache.cpp
+)
+target_link_libraries(test_distance_map ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
+
+catkin_add_gtest(test_distance_map_fast_update
+  src/test_distance_map_fast_update.cpp
+  ../src/distance_map.cpp
+  ../src/grid_astar_model_3dof.cpp
+  ../src/motion_cache.cpp
+  ../src/motion_primitive_builder.cpp
+  ../src/rotation_cache.cpp
+)
+target_link_libraries(test_distance_map_fast_update ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
 
 catkin_add_gtest(test_grid_metric_converter src/test_grid_metric_converter.cpp)
 target_link_libraries(test_grid_metric_converter ${catkin_LIBRARIES} ${Boost_LIBRARIES})
@@ -37,6 +59,13 @@
   ../src/rotation_cache.cpp
 )
 target_link_libraries(test_motion_primitive_builder ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+
+catkin_add_gtest(test_path_interpolator
+  src/test_path_interpolator.cpp
+  ../src/path_interpolator.cpp
+  ../src/rotation_cache.cpp
+)
+target_link_libraries(test_path_interpolator ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
 add_rostest_gtest(test_debug_outputs
   test/debug_outputs_rostest.test
@@ -106,6 +135,20 @@
 target_link_libraries(test_planner_2dof_serial_joints ${catkin_LIBRARIES})
 add_dependencies(test_planner_2dof_serial_joints planner_2dof_serial_joints)
 
+add_rostest_gtest(test_planner_3d_map_size
+  test/planner_3d_map_size_rostest.test
+  src/test_planner_3d_map_size.cpp
+)
+target_link_libraries(test_planner_3d_map_size ${catkin_LIBRARIES})
+add_dependencies(test_planner_3d_map_size planner_3d)
+
+add_rostest_gtest(test_tolerant_action
+  test/tolerant_action_rostest.test
+  src/test_tolerant_action.cpp
+)
+target_link_libraries(test_tolerant_action ${catkin_LIBRARIES})
+add_dependencies(test_tolerant_action planner_3d)
+
 
 if(NEONAVIGATION_EXTRA_TESTS)
