=== debian/changelog ===
ros-melodic-planner-cspace (0.14.0-1bionic) bionic; urgency=high

  * planner_cspace: publish planner_3d metrics (#701 <https://github.com/at-wat/neonavigation/issues/701>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-melodic-planner-cspace (0.13.0-1bionic) bionic; urgency=high

  * planner_cspace: fix fast map update (#692 <https://github.com/at-wat/neonavigation/issues/692>)
  * planner_cspace: fix status when goal or robot is in rock on updating goal (#694 <https://github.com/at-wat/neonavigation/issues/694>)
  * planner_cspace: fix string template constexpr in test (#685 <https://github.com/at-wat/neonavigation/issues/685>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-melodic-planner-cspace (0.12.2-1bionic) bionic; urgency=high

  * planner_cspace: fix planner_2dof_serial_joints status (#682 <https://github.com/at-wat/neonavigation/issues/682>)
  * planner_cspace: set timestamp to planner status message (#681 <https://github.com/at-wat/neonavigation/issues/681>)
  * planner_cspace: fix uninitialized variables in DistanceMap (#679 <https://github.com/at-wat/neonavigation/issues/679>)
  * planner_cspace: add scoped trace to some test cases (#680 <https://github.com/at-wat/neonavigation/issues/680>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-melodic-planner-cspace (0.12.1-1bionic) bionic; urgency=high

  * Improve test logs on timeout (#673 <https://github.com/at-wat/neonavigation/issues/673>)
  * planner_cspace: fix map update range (#672 <https://github.com/at-wat/neonavigation/issues/672>)
  * planner_cspace: clear velocity of dummy_robot on position set (#669 <https://github.com/at-wat/neonavigation/issues/669>)
  * planner_cspace: fix flaky action tests (#665 <https://github.com/at-wat/neonavigation/issues/665>)
  * planner_cspace: fix planner_cspace_msgs version constraint (#663 <https://github.com/at-wat/neonavigation/issues/663>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-melodic-planner-cspace (0.12.0-1bionic) bionic; urgency=high

  * planner_cspace: add continuous movement mode to MoveWithTolerance (#652 <https://github.com/at-wat/neonavigation/issues/652>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-melodic-planner-cspace (0.11.8-1bionic) bionic; urgency=high

  * planner_cspace: add missing array include (#658 <https://github.com/at-wat/neonavigation/issues/658>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-melodic-planner-cspace (0.11.7-1bionic) bionic; urgency=high

  * planner_cspace: fix pose duplication on path interpolation (#648 <https://github.com/at-wat/neonavigation/issues/648>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-melodic-planner-cspace (0.11.6-1bionic) bionic; urgency=high

  * planner_cspace: add more test case to Planner3DMapSize (#640 <https://github.com/at-wat/neonavigation/issues/640>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-melodic-planner-cspace (0.11.5-1bionic) bionic; urgency=high

  * planner_cspace: fix access violation on wrong size costmap_update message (#637 <https://github.com/at-wat/neonavigation/issues/637>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-melodic-planner-cspace (0.11.4-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-melodic-planner-cspace (0.11.3-1bionic) bionic; urgency=high

  * planner_cspace: fix DistanceMap::init() (#625 <https://github.com/at-wat/neonavigation/issues/625>)
  * Fix flaky tests and add debug outputs (#628 <https://github.com/at-wat/neonavigation/issues/628>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-melodic-planner-cspace (0.11.2-1bionic) bionic; urgency=high

  * planner_cspace: Fix header of fihish path (#622 <https://github.com/at-wat/neonavigation/issues/622>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-melodic-planner-cspace (0.11.1-1bionic) bionic; urgency=high

  * planner_cspace: refactor distance map generator (#617 <https://github.com/at-wat/neonavigation/issues/617>)
  * planner_cspace: recover error on FINISHING state (#615 <https://github.com/at-wat/neonavigation/issues/615>)
  * planner_cspace: fix flaky actionlib tests (#616 <https://github.com/at-wat/neonavigation/issues/616>)
  * planner_cspace: remove unused variable (#614 <https://github.com/at-wat/neonavigation/issues/614>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-melodic-planner-cspace (0.11.0-1bionic) bionic; urgency=high

  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-melodic-planner-cspace (0.10.11-1bionic) bionic; urgency=high

  * planner_cspace: reset next_replan_time after waitUntil() (#602 <https://github.com/at-wat/neonavigation/issues/602>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-melodic-planner-cspace (0.10.10-1bionic) bionic; urgency=high

  * planner_cspace: fix goal unreachable condition (#595 <https://github.com/at-wat/neonavigation/issues/595>)
  * Contributors: Atsushi Watanabe


